Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 1334)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 1335)
@@ -1,268 +1,268 @@
-package org.txm.ca.rcp.editors;
-
-import org.eclipse.swt.SWT;
-import org.eclipse.swt.custom.CLabel;
-import org.eclipse.swt.events.SelectionEvent;
-import org.eclipse.swt.events.SelectionListener;
-import org.eclipse.swt.widgets.Combo;
-import org.eclipse.swt.widgets.Label;
-import org.eclipse.swt.widgets.Spinner;
-import org.eclipse.swt.widgets.ToolItem;
-import org.txm.ca.core.functions.CA;
-import org.txm.ca.core.preferences.CAPreferences;
-import org.txm.ca.rcp.messages.CAUIMessages;
-import org.txm.chartsengine.rcp.editors.ChartEditor;
-import org.txm.chartsengine.rcp.editors.ChartEditorInput;
-import org.txm.core.messages.TXMCoreMessages;
-import org.txm.core.preferences.TXMPreferences;
-import org.txm.core.results.Parameter;
-import org.txm.rcp.IImageKeys;
-import org.txm.rcp.editors.listeners.ComputeSelectionListener;
-import org.txm.rcp.swt.GLComposite;
-import org.txm.rcp.swt.widget.ThresholdsGroup;
-import org.txm.rcp.swt.widget.structures.PropertiesComboViewer;
-import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
-import org.txm.searchengine.cqp.corpus.CQPCorpus;
-
-/**
- * Correspondence analysis factorial map chart editor.
- * @author sjacquot
- *
- */
-public class CAFactorialMapChartEditor extends ChartEditor<CA> {
-
-
-	// FIXME: try to automate that
-	// a solution is to stop using to int in CA but a members int[] dimensions, then use a ComboViewer in this editor
-//	/**
-//	 * First dimension.
-//	 */
-//	@Parameter(key=CAPreferences.FIRST_DIMENSION)
-//	protected int firstDimension = 1;
-//
-//	/**
-//	 * Second dimension.
-//	 */
-//	@Parameter(key=CAPreferences.SECOND_DIMENSION)
-//	protected int secondDimension = 2;
-	
-
-	/**
-	 * To show/hide individuals.
-	 */
-	@Parameter(key=CAPreferences.SHOW_INDIVIDUALS)
-	protected ToolItem showIndividuals;
-
-	/**
-	 * To show/hide variables.
-	 */
-	@Parameter(key=CAPreferences.SHOW_VARIABLES)
-	protected ToolItem showVariables;
-
-	/**
-	 * To show/hide the point shapes or only the labels.
-	 */
-	@Parameter(key=CAPreferences.SHOW_POINT_SHAPES)
-	protected ToolItem showPointShapes;
-	
-	
-	/**
-	 * Unit property.
-	 */
-	@Parameter(key=TXMPreferences.UNIT_PROPERTY)
-	protected PropertiesComboViewer unitPropertyComboViewer;
-	
-
-	/**
-	 * Minimum frequency filtering spinner.
-	 */
-	@Parameter(key=TXMPreferences.F_MIN)
-	protected Spinner fMinSpinner;
-
-	/**
-	 * Maximum frequency filtering spinner.
-	 */
-	@Parameter(key=TXMPreferences.F_MAX)
-	protected Spinner fMaxSpinner;
-
-	/**
-	 * Maximum number of lines filtering.
-	 */
-	@Parameter(key=TXMPreferences.V_MAX)
-	protected Spinner vMaxSpinner;
-	
-	
-	/**
-	 *
-	 * @param chartEditorInput
-	 */
-	public CAFactorialMapChartEditor(ChartEditorInput chartEditorInput) {
-		super(chartEditorInput);
-	}
-
-
-	@Override
-	public void __createPartControl() {
-
-		// Main parameters
-		
-		try {
-			GLComposite mainParametersArea = this.getMainParametersComposite();
-			mainParametersArea.getLayout().numColumns = 2;
-			
-			// unit property
-			new Label(mainParametersArea, SWT.NONE).setText(TXMCoreMessages.common_property);
-			this.unitPropertyComboViewer = new PropertiesComboViewer(mainParametersArea, this, true,
-					CQPCorpus.getFirstParentCorpus(this.getResult()).getOrderedProperties(),
-					this.getResult().getUnitProperty(), false);
-
-		}
-		catch (CqiClientException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
-
-			
-			// Extend the chart editor tool bar
-			new ToolItem(this.chartToolBar, SWT.SEPARATOR);
-
-			
-			// Show/hide columns
-			showIndividuals = new ToolItem(this.chartToolBar, SWT.CHECK);
-			// FIXME: keep this for offering an option "large icons" with text in buttons ?
-			//showColumns.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_CA_TOOLBAR_BUTTON_SHOW_COLUMS_LABEL);
-			showIndividuals.setToolTipText(CAUIMessages.CHART_TOOLBAR_BUTTON_SHOW_COLUMS_TOOLTIP);
-			showIndividuals.setImage(IImageKeys.getImage(CAFactorialMapChartEditor.class, "icons/show_columns.png")); //$NON-NLS-1$
-			showIndividuals.addSelectionListener(new ComputeSelectionListener(this));
-
-			// Show/hide rows
-			showVariables = new ToolItem(this.chartToolBar, SWT.CHECK);
-			// FIXME: keep this for offering an option "large icons" with text in buttons ?
-			//this.showRows.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_CA_TOOLBAR_BUTTON_SHOW_ROWS_LABEL);
-			showVariables.setToolTipText(CAUIMessages.CHART_TOOLBAR_BUTTON_SHOW_ROWS_TOOLTIP);
-			showVariables.setImage(IImageKeys.getImage(CAFactorialMapChartEditor.class, "icons/show_rows.png")); //$NON-NLS-1$
-			showVariables.addSelectionListener(new ComputeSelectionListener(this));
-
-			
-			// Show/hide point shapes
-			showPointShapes = new ToolItem(this.chartToolBar, SWT.CHECK);
-			// FIXME: keep this for offering an option "large icons" with text in buttons ?
-			//showPointShapes.setText(CAUIMessages.SHOW_HIDE_POINT_SHAPES);
-			showPointShapes.setToolTipText(CAUIMessages.CHART_TOOLBAR_BUTTON_SHOW_HIDE_POINT_SHAPES);
-			showPointShapes.setImage(IImageKeys.getImage(CAFactorialMapChartEditor.class, "icons/show_point_shapes.png")); //$NON-NLS-1$
-			showPointShapes.addSelectionListener(new ComputeSelectionListener(this));
-
-			
-			// Factors plane selection
-			CLabel factorsLabel = new CLabel(this.chartToolBar, SWT.CENTER);
-			factorsLabel.setText(CAUIMessages.CHART_TOOLBAR_AXES_SELECTION_COMBO_BOX_LABEL);
-			this.chartToolBar.addControl(factorsLabel);
-			
-			final Combo plansCombo = new Combo(this.chartToolBar, SWT.READ_ONLY);
-
-			// FIXME: commented because the infos panel is not ready to manage more axes
-//		ArrayList<String> planes = null;
-//		try {
-//			int nbsv = ((CA) editorPart.getResultData()).getSingularValues().length;
-//			planes = new ArrayList<String>();
-//			for(int i = 1 ; i < nbsv ; i ++)	{
-//				for(int j = i ; j < nbsv ; j++)	{
-//					if(i != j)	{
-//						planes.add("("+i+","+j+")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-//					}
-//				}
-//			}
-//		}
-//		catch (StatException e1) {
-//			// TODO Auto-generated catch block
-//			org.txm.rcp.utils.Logger.printStackTrace(e1);
-//		}
-//		String [] items = planes.toArray(new String[planes.size()]);
-
-			String items[] = { "(1,2)", "(1,3)", "(2,3)" }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-
-			// TODO : commented because the infos panel is not ready to manage more axes
-			//		if(couples != null && couples.size() > 3)	{
-			//			items = couples.toArray(new String[couples.size()]);
-			//}
-
-
-			plansCombo.setItems(items);
-
-			// Preselect the plan from the CA data
-			if(this.getIntParameterValue(CAPreferences.FIRST_DIMENSION) == 2)	{
-				plansCombo.select(2);
-			}
-			else if(this.getIntParameterValue(CAPreferences.SECOND_DIMENSION) == 3)	{
-				plansCombo.select(1);
-			}
-			else	{
-				plansCombo.select(0);
-			}
-
-			this.chartToolBar.addControl(plansCombo);
-			
-			// Listeners
-			SelectionListener listener = new SelectionListener() {
-				
-				@Override
-				public void widgetSelected(SelectionEvent e) {
-
-					boolean resetView = false;
-					
-					// Change factors
-					if(e.getSource() == plansCombo)	{
-
-						Combo plans = (Combo) e.getSource();
-
-						int dimension1 = 1;
-						int dimension2 = 2;
-
-						String str = plans.getItem(plans.getSelectionIndex());
-						str = str.substring(1, str.length() -1); // remove ( and )
-						String[] split = str.split(","); // 2 items //$NON-NLS-1$
-						dimension1 = Integer.parseInt(split[0]);
-						dimension2 = Integer.parseInt(split[1]);
-
-						getResult().setFirstDimension(dimension1);
-						getResult().setSecondDimension(dimension2);
-
-						resetView = true;
-					}
-					getResult().setChartDirty();
-					getResult().setNeedsToResetView(resetView);
-					compute(true);
-					// synchronize the part names
-					((CAEditor)getParentMultiPagesEditor()).setName(getResult().getName());
-					forceFocus();
-				}
-				
-				@Override
-				public void widgetDefaultSelected(SelectionEvent e) {
-					// TODO Auto-generated method stub
-				}
-			};
-			plansCombo.addSelectionListener(listener);
-			
-			
-			
-			// advanced parameters
-			// thresholds
-			ThresholdsGroup thresholdsGroup = new ThresholdsGroup(this.getExtendedParametersGroup(), SWT.NONE, this, true, false);
-			this.fMinSpinner = thresholdsGroup.getFMinSpinner();
-			this.fMaxSpinner = thresholdsGroup.getFMaxSpinner();
-			this.vMaxSpinner = thresholdsGroup.getVMaxSpinner();
-			this.vMaxSpinner.setMinimum(1);
-			
-	
-	}
-
-
-	@Override
-	public void updateEditorFromChart(boolean update) {
-		// nothing to do
-	}
-
-
-
-}
+package org.txm.ca.rcp.editors;
+
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.custom.CLabel;
+import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.events.SelectionListener;
+import org.eclipse.swt.widgets.Combo;
+import org.eclipse.swt.widgets.Label;
+import org.eclipse.swt.widgets.Spinner;
+import org.eclipse.swt.widgets.ToolItem;
+import org.txm.ca.core.functions.CA;
+import org.txm.ca.core.preferences.CAPreferences;
+import org.txm.ca.rcp.messages.CAUIMessages;
+import org.txm.chartsengine.rcp.editors.ChartEditor;
+import org.txm.chartsengine.rcp.editors.ChartEditorInput;
+import org.txm.core.messages.TXMCoreMessages;
+import org.txm.core.preferences.TXMPreferences;
+import org.txm.core.results.Parameter;
+import org.txm.rcp.IImageKeys;
+import org.txm.rcp.editors.listeners.ComputeSelectionListener;
+import org.txm.rcp.swt.GLComposite;
+import org.txm.rcp.swt.widget.ThresholdsGroup;
+import org.txm.rcp.swt.widget.structures.PropertiesComboViewer;
+import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+import org.txm.searchengine.cqp.corpus.CQPCorpus;
+
+/**
+ * Correspondence analysis factorial map chart editor.
+ * @author sjacquot
+ *
+ */
+public class CAFactorialMapChartEditor extends ChartEditor<CA> {
+
+
+	// FIXME: try to automate that
+	// a solution is to stop using to int in CA but a members int[] dimensions, then use a ComboViewer in this editor
+//	/**
+//	 * First dimension.
+//	 */
+//	@Parameter(key=CAPreferences.FIRST_DIMENSION)
+//	protected int firstDimension = 1;
+//
+//	/**
+//	 * Second dimension.
+//	 */
+//	@Parameter(key=CAPreferences.SECOND_DIMENSION)
+//	protected int secondDimension = 2;
+	
+
+	/**
+	 * To show/hide individuals.
+	 */
+	@Parameter(key=CAPreferences.SHOW_INDIVIDUALS)
+	protected ToolItem showIndividuals;
+
+	/**
+	 * To show/hide variables.
+	 */
+	@Parameter(key=CAPreferences.SHOW_VARIABLES)
+	protected ToolItem showVariables;
+
+	/**
+	 * To show/hide the point shapes or only the labels.
+	 */
+	@Parameter(key=CAPreferences.SHOW_POINT_SHAPES)
+	protected ToolItem showPointShapes;
+	
+	
+	/**
+	 * Unit property.
+	 */
+	@Parameter(key=TXMPreferences.UNIT_PROPERTY)
+	protected PropertiesComboViewer unitPropertyComboViewer;
+	
+
+	/**
+	 * Minimum frequency filtering spinner.
+	 */
+	@Parameter(key=TXMPreferences.F_MIN)
+	protected Spinner fMinSpinner;
+
+	/**
+	 * Maximum frequency filtering spinner.
+	 */
+	@Parameter(key=TXMPreferences.F_MAX)
+	protected Spinner fMaxSpinner;
+
+	/**
+	 * Maximum number of lines filtering.
+	 */
+	@Parameter(key=TXMPreferences.V_MAX)
+	protected Spinner vMaxSpinner;
+	
+	
+	/**
+	 *
+	 * @param chartEditorInput
+	 */
+	public CAFactorialMapChartEditor(ChartEditorInput chartEditorInput) {
+		super(chartEditorInput);
+	}
+
+
+	@Override
+	public void __createPartControl() {
+
+		// Main parameters
+		
+		try {
+			GLComposite mainParametersArea = this.getMainParametersComposite();
+			mainParametersArea.getLayout().numColumns = 2;
+			
+			// unit property
+			new Label(mainParametersArea, SWT.NONE).setText(TXMCoreMessages.common_property);
+			this.unitPropertyComboViewer = new PropertiesComboViewer(mainParametersArea, this, true,
+					CQPCorpus.getFirstParentCorpus(this.getResult()).getOrderedProperties(),
+					this.getResult().getUnitProperty(), false);
+
+		}
+		catch (CqiClientException e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+		}
+
+			
+			// Extend the chart editor tool bar
+			new ToolItem(this.chartToolBar, SWT.SEPARATOR);
+
+			
+			// Show/hide columns
+			showIndividuals = new ToolItem(this.chartToolBar, SWT.CHECK);
+			// FIXME: keep this for offering an option "large icons" with text in buttons ?
+			//showColumns.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_CA_TOOLBAR_BUTTON_SHOW_COLUMS_LABEL);
+			showIndividuals.setToolTipText(CAUIMessages.showhideTheColumnPoints);
+			showIndividuals.setImage(IImageKeys.getImage(CAFactorialMapChartEditor.class, "icons/show_columns.png")); //$NON-NLS-1$
+			showIndividuals.addSelectionListener(new ComputeSelectionListener(this));
+
+			// Show/hide rows
+			showVariables = new ToolItem(this.chartToolBar, SWT.CHECK);
+			// FIXME: keep this for offering an option "large icons" with text in buttons ?
+			//this.showRows.setText(SWTComponentsProviderMessages.SWTChartsComponentProvider_CA_TOOLBAR_BUTTON_SHOW_ROWS_LABEL);
+			showVariables.setToolTipText(CAUIMessages.showhideTheRowPoints);
+			showVariables.setImage(IImageKeys.getImage(CAFactorialMapChartEditor.class, "icons/show_rows.png")); //$NON-NLS-1$
+			showVariables.addSelectionListener(new ComputeSelectionListener(this));
+
+			
+			// Show/hide point shapes
+			showPointShapes = new ToolItem(this.chartToolBar, SWT.CHECK);
+			// FIXME: keep this for offering an option "large icons" with text in buttons ?
+			//showPointShapes.setText(CAUIMessages.SHOW_HIDE_POINT_SHAPES);
+			showPointShapes.setToolTipText(CAUIMessages.showhidePointShapes);
+			showPointShapes.setImage(IImageKeys.getImage(CAFactorialMapChartEditor.class, "icons/show_point_shapes.png")); //$NON-NLS-1$
+			showPointShapes.addSelectionListener(new ComputeSelectionListener(this));
+
+			
+			// Factors plane selection
+			CLabel factorsLabel = new CLabel(this.chartToolBar, SWT.CENTER);
+			factorsLabel.setText(CAUIMessages.axesDDot);
+			this.chartToolBar.addControl(factorsLabel);
+			
+			final Combo plansCombo = new Combo(this.chartToolBar, SWT.READ_ONLY);
+
+			// FIXME: commented because the infos panel is not ready to manage more axes
+//		ArrayList<String> planes = null;
+//		try {
+//			int nbsv = ((CA) editorPart.getResultData()).getSingularValues().length;
+//			planes = new ArrayList<String>();
+//			for(int i = 1 ; i < nbsv ; i ++)	{
+//				for(int j = i ; j < nbsv ; j++)	{
+//					if(i != j)	{
+//						planes.add("("+i+","+j+")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+//					}
+//				}
+//			}
+//		}
+//		catch (StatException e1) {
+//			// TODO Auto-generated catch block
+//			org.txm.rcp.utils.Logger.printStackTrace(e1);
+//		}
+//		String [] items = planes.toArray(new String[planes.size()]);
+
+			String items[] = { "(1,2)", "(1,3)", "(2,3)" }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+
+			// TODO : commented because the infos panel is not ready to manage more axes
+			//		if(couples != null && couples.size() > 3)	{
+			//			items = couples.toArray(new String[couples.size()]);
+			//}
+
+
+			plansCombo.setItems(items);
+
+			// Preselect the plan from the CA data
+			if(this.getIntParameterValue(CAPreferences.FIRST_DIMENSION) == 2)	{
+				plansCombo.select(2);
+			}
+			else if(this.getIntParameterValue(CAPreferences.SECOND_DIMENSION) == 3)	{
+				plansCombo.select(1);
+			}
+			else	{
+				plansCombo.select(0);
+			}
+
+			this.chartToolBar.addControl(plansCombo);
+			
+			// Listeners
+			SelectionListener listener = new SelectionListener() {
+				
+				@Override
+				public void widgetSelected(SelectionEvent e) {
+
+					boolean resetView = false;
+					
+					// Change factors
+					if(e.getSource() == plansCombo)	{
+
+						Combo plans = (Combo) e.getSource();
+
+						int dimension1 = 1;
+						int dimension2 = 2;
+
+						String str = plans.getItem(plans.getSelectionIndex());
+						str = str.substring(1, str.length() -1); // remove ( and )
+						String[] split = str.split(","); // 2 items //$NON-NLS-1$
+						dimension1 = Integer.parseInt(split[0]);
+						dimension2 = Integer.parseInt(split[1]);
+
+						getResult().setFirstDimension(dimension1);
+						getResult().setSecondDimension(dimension2);
+
+						resetView = true;
+					}
+					getResult().setChartDirty();
+					getResult().setNeedsToResetView(resetView);
+					compute(true);
+					// synchronize the part names
+					((CAEditor)getParentMultiPagesEditor()).setName(getResult().getName());
+					forceFocus();
+				}
+				
+				@Override
+				public void widgetDefaultSelected(SelectionEvent e) {
+					// TODO Auto-generated method stub
+				}
+			};
+			plansCombo.addSelectionListener(listener);
+			
+			
+			
+			// advanced parameters
+			// thresholds
+			ThresholdsGroup thresholdsGroup = new ThresholdsGroup(this.getExtendedParametersGroup(), SWT.NONE, this, true, false);
+			this.fMinSpinner = thresholdsGroup.getFMinSpinner();
+			this.fMaxSpinner = thresholdsGroup.getFMaxSpinner();
+			this.vMaxSpinner = thresholdsGroup.getVMaxSpinner();
+			this.vMaxSpinner.setMinimum(1);
+			
+	
+	}
+
+
+	@Override
+	public void updateEditorFromChart(boolean update) {
+		// nothing to do
+	}
+
+
+
+}
\ No newline at end of file
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/ColRowInfosLabelProvider.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/ColRowInfosLabelProvider.java	(revision 1334)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/ColRowInfosLabelProvider.java	(revision 1335)
@@ -82,7 +82,7 @@
 				String pattern = CAPreferences.getInstance().getString(CAPreferences.MASS_DISPLAY_FORMAT);
 			if (pattern != null && !pattern.trim().equals("")) //$NON-NLS-1$
 					masspattern = new DecimalFormat(pattern);
-			} else if (names[i].startsWith(CAUIMessages.ColRowInfosLabelProvider_9)) {
+			} else if (names[i].startsWith(CAUIMessages.chi)) {
 				String pattern = CAPreferences.getInstance().getString(CAPreferences.CHI_DISPLAY_FORMAT);
 				if (pattern != null && !pattern.trim().equals("")) //$NON-NLS-1$
 					chipattern = new DecimalFormat(pattern);
@@ -103,7 +103,7 @@
 				String pattern = CAPreferences.getInstance().getString(CAPreferences.CONTRIB_DISPLAY_FORMAT);
 				if (pattern != null && !pattern.trim().equals("")) //$NON-NLS-1$
 					contribpattern = new DecimalFormat(pattern);
-			} else if (names[i].startsWith(CAUIMessages.ColRowInfosLabelProvider_19) && names[i].length() == 3) {
+			} else if (names[i].startsWith(CAUIMessages.q) && names[i].length() == 3) {
 				String pattern = CAPreferences.getInstance().getString(CAPreferences.QUALITY_DISPLAY_FORMAT);
 				if (pattern != null && !pattern.trim().equals("")) //$NON-NLS-1$
 					qualitypattern = new DecimalFormat(pattern);
@@ -135,7 +135,7 @@
 			f = new DecimalFormat("###.00"); //$NON-NLS-1$
 			if (name.startsWith(CACoreMessages.common_mass)) {
 				f = masspattern;
-			} else if (name.startsWith(CAUIMessages.ColRowInfosLabelProvider_9)) {
+			} else if (name.startsWith(CAUIMessages.chi)) {
 				f = chipattern;
 			} else if (name.startsWith(CACoreMessages.common_dist)) {
 				f = distpattern;
@@ -146,7 +146,7 @@
 				f = coordpattern;
 			} else if (name.startsWith(CACoreMessages.common_cont)) {
 				f = contribpattern;
-			} else if (name.startsWith(CAUIMessages.ColRowInfosLabelProvider_19)
+			} else if (name.startsWith(CAUIMessages.q)
 					&& name.length() == 3) {
 				f = qualitypattern;
 			}
@@ -154,4 +154,4 @@
 		} else
 			return o.toString();
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/ColsRowsInfosEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/ColsRowsInfosEditor.java	(revision 1334)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/ColsRowsInfosEditor.java	(revision 1335)
@@ -127,7 +127,7 @@
 		parent.setLayout(new FillLayout());
 
 		if (!(iEditorInput instanceof ITablableEditorInput)) {
-			throw new IllegalArgumentException(CAUIMessages.ColsRowsInfosEditor_0);
+			throw new IllegalArgumentException(CAUIMessages.wrongInput);
 		}
 		tableInput = (ITablableEditorInput) iEditorInput;
 		viewer = new TableViewer(parent, SWT.H_SCROLL | SWT.V_SCROLL
@@ -157,7 +157,7 @@
 			column.getColumn().addSelectionListener(new SelectionAdapter() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
-					StatusLine.setMessage(TXMUIMessages.SORT_COLUMN );
+					StatusLine.setMessage(TXMUIMessages.sortingColumn );
 					tableSorter.setColumn(index);
 					int dir = viewer.getTable().getSortDirection();
 					if (viewer.getTable().getSortColumn() == column.getColumn()) {
@@ -168,7 +168,7 @@
 					viewer.getTable().setSortDirection(dir);
 					viewer.getTable().setSortColumn(column.getColumn());
 					viewer.refresh();
-					StatusLine.setMessage(TXMUIMessages.SORT_DONE);
+					StatusLine.setMessage(TXMUIMessages.sortDone);
 				}
 			});
 		}
@@ -181,7 +181,7 @@
 		tableSorter.setColumnTypes(tableInput.getColumnTypes());
 		viewer.setSorter(tableSorter);
 
-		this.setContentDescription(NLS.bind(CAUIMessages.ColsRowsInfosEditor_2, titles[0]));
+		this.setContentDescription(NLS.bind(CAUIMessages.infosDDotP0, titles[0]));
 		createContextMenu(viewer);
 		viewer.refresh();
 		for (TableColumn col : viewer.getTable().getColumns())
@@ -234,4 +234,4 @@
 	public TableViewer getViewer() {
 		return viewer;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAParametersDialog.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAParametersDialog.java	(revision 1334)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAParametersDialog.java	(revision 1335)
@@ -180,7 +180,7 @@
 		anaPropCombo.select(iword);
 
 		maxlinesLabel = new Label(composite, SWT.NONE);
-		maxlinesLabel.setText(TXMUIMessages.NumberOfLines);
+		maxlinesLabel.setText(TXMUIMessages.numberOfLinesDDot);
 		maxlinesLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER, true, false));
 		maxlinesSpinner = new Spinner(composite, SWT.BORDER);
 		maxlinesSpinner.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
@@ -209,8 +209,8 @@
 		int propIndex = anaPropCombo.getSelectionIndex();
 		if (propIndex == -1) {
 			MessageDialog.openError(getShell(),
-					TXMUIMessages.Invalid_analysis_property,
-					TXMUIMessages.Structure_field_not_empty);
+					TXMUIMessages.invalidProperty,
+					TXMUIMessages.structureFieldIsMandatory);
 			return;
 		}
 		property = properties.get(propIndex);
@@ -251,4 +251,4 @@
 		this.fmin = fmin;
 		this.vmax = vmax;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 1334)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 1335)
@@ -109,11 +109,11 @@
 
 	/** The names. */
 	private List<String> names = Arrays.asList(new String[] {
-			CAUIMessages.CorrespondanceAnalysisEditorInput_1,
-			CAUIMessages.CorrespondanceAnalysisEditorInput_0,
-			CAUIMessages.CorrespondanceAnalysisEditorInput_8,
-			CAUIMessages.CorrespondanceAnalysisEditorInput_9,
-			CAUIMessages.CorrespondanceAnalysisEditorInput_2 });
+			CAUIMessages.factPlan,
+			CAUIMessages.eigenvalues,
+			CAUIMessages.rowsInfos,
+			CAUIMessages.colsInfos,
+			CAUIMessages.eigenvaluesHistogram });
 
 
 	/* (non-Javadoc)
@@ -185,7 +185,7 @@
 
 
 		if (editors.size() != inputs.size()) {
-			throw new IllegalArgumentException(NLS.bind(TXMUIMessages.GenericMultiPageEditor_3, editors.size(), inputs.size()));
+			throw new IllegalArgumentException(NLS.bind(TXMUIMessages.theNumberOfEditorsP0AndNumberOfInputsP1MustBeEqual, editors.size(), inputs.size()));
 		}
 
 		// put first editor in the left panel and set is as "main" editor
@@ -243,7 +243,7 @@
 		}
 		catch (Exception e1) {
 			org.txm.rcp.utils.Logger.printStackTrace(e1);
-			System.out.println(CAUIMessages.CaEditor_0 + e1);
+			System.out.println(CAUIMessages.errorWhileOpeningCAEditorDDot + e1);
 			return;
 		}
 
@@ -254,7 +254,7 @@
 				editorIndex = addPage(editors.get(i), inputs.get(i));
 			} catch (PartInitException e) {
 				org.txm.rcp.utils.Logger.printStackTrace(e);
-				System.out.println(CAUIMessages.CaEditor_0 + e);
+				System.out.println(CAUIMessages.errorWhileOpeningCAEditorDDot + e);
 				return;
 			}
 			setPageText(editorIndex, names.get(i));
@@ -371,14 +371,14 @@
 			public String[] getColumnTitles() {
 				return new String[] {
 						CAUIMessages.CorrespondanceAnalysisEditorInput_4,
-						CAUIMessages.CorrespondanceAnalysisEditorInput_5,
+						CAUIMessages.eigenvalue,
 						"%", CAUIMessages.CorrespondanceAnalysisEditorInput_11 + "%", "", ""}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 			}
 
 			@Override
 			public String[] getColumnTypes() {
 				return new String[] {
-						TXMUIMessages.FrequencyListEditorInput_6,
+						TXMUIMessages.integer,
 						COL_TYPE,
 						COL_TYPE,
 						COL_TYPE,
@@ -443,7 +443,7 @@
 			@Override
 			public String[] getColumnTypes() {
 				coltypes = new ArrayList<String>();
-				coltypes.add(TXMUIMessages.FrequencyListEditorInput_6);
+				coltypes.add(TXMUIMessages.integer);
 				coltypes.add(SEPARATOR);
 				coltypes.add(COL_TYPE);
 				coltypes.add(COL_TYPE);
@@ -527,7 +527,7 @@
 			@Override
 			public String[] getColumnTypes() {
 				coltypes = new ArrayList<String>();
-				coltypes.add(TXMUIMessages.FrequencyListEditorInput_6);
+				coltypes.add(TXMUIMessages.integer);
 				coltypes.add(SEPARATOR);
 				coltypes.add(COL_TYPE);
 				coltypes.add(COL_TYPE);
@@ -727,4 +727,4 @@
 	public void setName(String partName) {
 		this.setPartName(partName);
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 1334)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 1335)
@@ -78,7 +78,7 @@
 		final Object selection = this.getCorporaViewSelectedObject(event);
 
 		try {
-			System.out.println(CAUIMessages.ComputeCorrespondanceAnalysis_15);
+			System.out.println(CAUIMessages.creatingCA);
 			CA ca = null;
 
 			// Creating from Partition
@@ -93,7 +93,7 @@
 						@Override
 						public void run() {
 							MessageDialog d = new MessageDialog(window.getShell(), TXMCoreMessages.error_error2, null,
-									NLS.bind(CAUIMessages.ComputeCorrespondanceAnalysis_4, partition.getPartsCount()), 0, new String[] { TXMCoreMessages.common_ok}, 0);
+									NLS.bind(CAUIMessages.canNotComputeFactorialAnalysisWithOnlyP0PartsTheMinimumIs4Parts, partition.getPartsCount()), 0, new String[] { TXMCoreMessages.common_ok}, 0);
 							d.open();
 						}
 					});
@@ -110,7 +110,7 @@
 //					int fMin = d.getFmin();
 //					int vMax = d.getMaxLines();
 //
-//					Log.info(NLS.bind(CAUIMessages.ComputeCorrespondanceAnalysis_0, partition, property));
+//					Log.info(NLS.bind(CAUIMessages.computingCorrespondenceAnalysisOnP0WithPropertyP1, partition, property));
 //
 //					LexicalTable lexicalTable = new LexicalTable(partition);
 //					lexicalTable.setParameters(property, fMin, vMax, null);
@@ -135,16 +135,16 @@
 				
 				if (index.getPartition().getPartsCount() < 4) {
 					// FIXME: remove this swing code that freeze the UI, need to use SWT in main thread
-					MessageBox.error(CAUIMessages.ComputeCorrespondanceAnalysis_13);
+					MessageBox.error(CAUIMessages.canNotComputeCAOnLexicalTableWithLessThan4Columns);
 					return null;
 				}
 				if (index.hasBeenComputedOnce() && index.getAllLines().size() < 4) {
 					// FIXME: remove this swing code that freeze the UI, need to use SWT in main thread
-					MessageBox.error(CAUIMessages.ComputeCorrespondanceAnalysis_1);
+					MessageBox.error(CAUIMessages.canNotComputeCAWithLessThan4RowsInTheTable);
 					return null;
 				}
 
-				Log.info(NLS.bind(CAUIMessages.ComputeCorrespondanceAnalysis_0, index, property));
+				Log.info(NLS.bind(CAUIMessages.computingCorrespondenceAnalysisOnP0WithPropertyP1, index, property));
 				ca = new CA(new LexicalTable(index));
 			}
 			// Creating from Lexical Table
@@ -152,16 +152,16 @@
 				LexicalTable lexicalTable = (LexicalTable) selection;
 				Property property = lexicalTable.getProperty();
 
-				Log.info(NLS.bind(CAUIMessages.ComputeCorrespondanceAnalysis_0, lexicalTable, property));
+				Log.info(NLS.bind(CAUIMessages.computingCorrespondenceAnalysisOnP0WithPropertyP1, lexicalTable, property));
 
 				if (lexicalTable.getNColumns() < 4) {
 					// FIXME: remove this swing code that freeze the UI, need to use SWT in main thread
-					MessageBox.error(CAUIMessages.ComputeCorrespondanceAnalysis_13);
+					MessageBox.error(CAUIMessages.canNotComputeCAOnLexicalTableWithLessThan4Columns);
 					return null;
 				}
 				if (lexicalTable.getNRows() < 4) {
 					// FIXME: remove this swing code that freeze the UI, need to use SWT in main thread
-					MessageBox.error(CAUIMessages.ComputeCorrespondanceAnalysis_1);
+					MessageBox.error(CAUIMessages.canNotComputeCAWithLessThan4RowsInTheTable);
 					return null;
 				}
 
@@ -180,11 +180,11 @@
 			ca.compute();
 
 			try {
-				Log.info(CAUIMessages.ComputeCorrespondanceAnalysis_8);
+				Log.info(CAUIMessages.loadingCorrespondenceAnalysisResults);
 
 				TXMResultEditorInput<CA> editorInput = new TXMResultEditorInput(ca);
 				IWorkbenchPage page = TXMWindows.getActivePage();
-				StatusLine.setMessage(CAUIMessages.ComputeCorrespondanceAnalysis_14);
+				StatusLine.setMessage(CAUIMessages.openingTheCorrespondenceAnalysisResults);
 				IEditorPart editor = page.openEditor(editorInput, CAEditor.class.getName());
 				
 			}
@@ -200,4 +200,4 @@
 		return null;
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.referencer.core/src/org/txm/referencer/core/messages/ReferencerCoreMessages.java
===================================================================
--- tmp/org.txm.referencer.core/src/org/txm/referencer/core/messages/ReferencerCoreMessages.java	(revision 1334)
+++ tmp/org.txm.referencer.core/src/org/txm/referencer/core/messages/ReferencerCoreMessages.java	(revision 1335)
@@ -18,8 +18,7 @@
 	public static String RESULT_TYPE;
 
 	
-	public static String Referencer_1;
-	public static String Referencer_2;
+	public static String referencerExportFailedDDot; 
 	
 	static {
 		// initialize resource bundle
